## Purpose
The purpose of this document is to illustrate how to deploy Mailcow in a dockerized format.

!!! note "Assumptions"
    It is assumed that you are deploying Mailcow into an existing Ubuntu Server environment.  If you are using a different operating system, refer to the [official documentation](https://docs.mailcow.email/getstarted/install/).

### Setting Up Docker
Go ahead and set up docker and docker-compose with the following commands:
```bash
sudo su # (1)
curl -sSL https://get.docker.com/ | CHANNEL=stable sh # (2)
apt install docker-compose-plugin # (2)
systemctl enable --now docker # (3)
```

1.  Make yourself root.
2.  Install `Docker` and `Docker-Compose`
3.  Make docker run automatically when the server is booted.